Skip to main content
Contract / Budgets

Perform a contract budget create final entries pre-check

The rules governing whether the create final budget entries functionality is available for an associated contract type are as follows:

  1. A configuration entry for 'lease_finalise' exists for the contract type in the [gl_posting_map_reporting] table.
GET
/fm/contract/budgets/final-entries/pre-check/{contract_id}

The rules governing whether a contract can be finalised are as follows:

  1. A "Suspend Date" is entered.
  2. There are no transactions in 'pending' or 'on-hold' status in the Payments and Maintenance areas.
  3. At least one period has been billed.

This method requires the ContractBudgets:CreateFinalEntries permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringrequired
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

contract_finalisable_flagenum<string>
Available options: yes, no
Example: no
contract_type_finalisable_flagenum<string>
Available options: yes, no
Example: yes